﻿/* SENTENCIAS SQL CON LAS ESTRUCTURA DE LA BASE DE DATOS */


/* Creacion d ela base de datos */
create database 'udbonline';


/* Datos y estructura tabla Administrador */
CREATE TABLE 'administrador' (
  'id_administrador' varchar(8) NOT NULL default '',
  'nombres' varchar(100) default NULL,
  'apellidos' varchar(100) default NULL,
  'password' varchar(8) default NULL,
  PRIMARY KEY  ('id_administrador')
);


insert into 'administrador' ('id_administrador','nombres','apellidos','password') values ('AD01','ADMINISTRADOR','UDB','admin001');



/* Estructura tabla 'alum_grupo' */

CREATE TABLE 'alum_grupo' (
  'id_alumno' varchar(8) default NULL,
  'id_grupo' int(10) unsigned default NULL,
  'estado_alum' int(10) unsigned default NULL,
  KEY 'FK_alum_grupo_1' ('id_alumno'),
  KEY 'FK_alum_grupo_2' ('id_grupo'),
  CONSTRAINT 'FK_alum_grupo_1' FOREIGN KEY ('id_alumno') REFERENCES 'alumno' ('id_alumno'),
  CONSTRAINT 'FK_alum_grupo_2' FOREIGN KEY ('id_grupo') REFERENCES 'grupo' ('id_grupo')
);




/* Estructura tabla 'alumno' */

CREATE TABLE 'alumno' (
  'id_alumno' varchar(8) NOT NULL default '',
  'nombres' varchar(100) default NULL,
  'apellidos' varchar(100) default NULL,
  'password' varchar(8) default NULL,
  'e_mail' varchar(40) default NULL,
  'estado_alumno' int(11) default NULL,
  'fecha_ins' varchar(20) default NULL,
  'id_carrera' int(10) unsigned default NULL,
  PRIMARY KEY  ('id_alumno'),
  KEY 'FK_alumno_1' ('id_carrera'),
  CONSTRAINT 'FK_alumno_1' FOREIGN KEY ('id_carrera') REFERENCES 'carrera' ('id_carrera')
) ENGINE=InnoDB DEFAULT CHARSET=latin1;



/* Estructura tabla 'archivo_contenido' */

CREATE TABLE 'archivo_contenido' (
  'id_archivo' int(10) unsigned NOT NULL auto_increment,
  'id_contenido' int(10) unsigned default NULL,
  'id_tipo' int(10) unsigned default NULL,
  'nombre_contenido' varchar(100) default NULL,
  'path_contenido' varchar(300) default NULL,
  PRIMARY KEY  ('id_archivo'),
  KEY 'FK_archivo_contenido_1' ('id_contenido'),
  KEY 'FK_archivo_contenido_2' ('id_tipo'),
  CONSTRAINT 'FK_archivo_contenido_1' FOREIGN KEY ('id_contenido') REFERENCES 'contenido' ('id_contenido'),
  CONSTRAINT 'FK_archivo_contenido_2' FOREIGN KEY ('id_tipo') REFERENCES 'tipo_archivo' ('id_tipo')
);


/* Estructura tabla 'carrera' */

CREATE TABLE 'carrera' (
  'id_carrera' int(10) unsigned NOT NULL auto_increment,
  'nombre' varchar(50) default NULL,
  'id_facultad' int(10) unsigned default NULL,
  PRIMARY KEY  ('id_carrera'),
  KEY 'FK_carrera_1' ('id_facultad'),
  CONSTRAINT 'FK_carrera_1' FOREIGN KEY ('id_facultad') REFERENCES 'facultad' ('id_facultad')
);


/* Estructura  tabla 'contenido' */

CREATE TABLE 'contenido' (
  'id_contenido' int(10) unsigned NOT NULL auto_increment,
  'id_grupo' int(10) unsigned default NULL,
  'nombre' varchar(45) default NULL,
  'texto' text,
  'objetivo' text,
  PRIMARY KEY  ('id_contenido'),
  KEY 'FK_contenido_1' ('id_grupo'),
  CONSTRAINT 'FK_contenido_1' FOREIGN KEY ('id_grupo') REFERENCES 'grupo' ('id_grupo')
);


/* Estructura tabla 'docente' */

CREATE TABLE 'docente' (
  'id_docente' varchar(50) NOT NULL default '0',
  'nombres' varchar(100) default NULL,
  'apellidos' varchar(100) default NULL,
  'password' varchar(8) default NULL,
  'e_mail' varchar(40) default NULL,
  'estado_docente' int(10) unsigned default NULL,
  'id_carrera' int(10) unsigned default NULL,
  PRIMARY KEY  ('id_docente'),
  KEY 'FK_docente_1' ('id_carrera'),
  CONSTRAINT 'FK_docente_1' FOREIGN KEY ('id_carrera') REFERENCES 'carrera' ('id_carrera')
);


/* Estructura tabla 'facultad' */

CREATE TABLE 'facultad' (
  'id_facultad' int(10) unsigned NOT NULL auto_increment,
  'nombre' varchar(30) default NULL,
  PRIMARY KEY  ('id_facultad')
);



/* Estructura tabla 'foro' */

CREATE TABLE 'foro' (
  'id_foro' int(10) unsigned NOT NULL auto_increment,
  'id_grupo' int(10) unsigned default NULL,
  'id_docente' varchar(50) default NULL,
  'id_alumno' varchar(8) default NULL,
  'tema' varchar(60) default NULL,
  'contenido' text,
  'editado' int(10) unsigned default '0',
  'calificacion' int(10) unsigned default '0',
  'fechaini' datetime default NULL,
  'cerrado' int(10) default '0',
  PRIMARY KEY  ('id_foro'),
  KEY 'FK_foro_1' ('id_grupo'),
  KEY 'FK_foro_2' ('id_alumno'),
  KEY 'FK_foro_3' ('id_docente'),
  CONSTRAINT 'FK_foro_1' FOREIGN KEY ('id_grupo') REFERENCES 'grupo' ('id_grupo'),
  CONSTRAINT 'foro_ibfk_1' FOREIGN KEY ('id_alumno') REFERENCES 'alumno' ('id_alumno'),
  CONSTRAINT 'foro_ibfk_2' FOREIGN KEY ('id_docente') REFERENCES 'docente' ('id_docente')
);



/* Estructura tabla 'foro_res' */

CREATE TABLE 'foro_res' (
  'id_respuesta' int(10) unsigned NOT NULL auto_increment,
  'id_foro' int(10) unsigned default NULL,
  'id_alumno' varchar(8) default NULL,
  'id_docente' varchar(50) default NULL,
  'retema' varchar(60) default NULL,
  'recontenido' text,
  'reditado' int(10) default NULL,
  'refecha' datetime default NULL,
  'who_res' int(10) default NULL,
  'cerrado' int(10) default '0',
  PRIMARY KEY  ('id_respuesta'),
  KEY 'FK_foro_res_1' ('id_foro'),
  KEY 'FK_foro_res_2' ('id_alumno'),
  KEY 'FK_foro_res' ('id_docente'),
  CONSTRAINT 'foro_res_ibfk_1' FOREIGN KEY ('id_foro') REFERENCES 'foro' ('id_foro'),
  CONSTRAINT 'foro_res_ibfk_2' FOREIGN KEY ('id_alumno') REFERENCES 'alumno' ('id_alumno'),
  CONSTRAINT 'foro_res_ibfk_3' FOREIGN KEY ('id_docente') REFERENCES 'docente' ('id_docente')
);


/* Estructura tabla 'grupo' */

CREATE TABLE 'grupo' (
  'id_grupo' int(10) unsigned NOT NULL auto_increment,
  'id_docente' varchar(50) default NULL,
  'num_grupo' int(10) unsigned default NULL,
  'estado_grupo' int(10) unsigned default NULL,
  'ciclo' varchar(7) default NULL,
  'parent' int(10) unsigned default NULL,
  'id_materia' int(10) unsigned default NULL,
  PRIMARY KEY  ('id_grupo'),
  KEY 'FK_grupo_2' ('id_materia'),
  KEY 'FK_grupo_3' ('id_docente'),
  KEY 'FK_grupo_1' ('parent'),
  CONSTRAINT 'FK_grupo_2' FOREIGN KEY ('id_materia') REFERENCES 'materia' ('id_materia'),
  CONSTRAINT 'FK_grupo_3' FOREIGN KEY ('id_docente') REFERENCES 'docente' ('id_docente')
);


/* Estructura tabla 'materia' */

CREATE TABLE 'materia' (
  'id_materia' int(10) unsigned NOT NULL auto_increment,
  'nombre_materia' varchar(60) default NULL,
  'id_carrera' int(10) unsigned default NULL,
  PRIMARY KEY  ('id_materia'),
  KEY 'FK_materia_1' ('id_carrera'),
  CONSTRAINT 'FK_materia_1' FOREIGN KEY ('id_carrera') REFERENCES 'carrera' ('id_carrera')
);


/* Estructura tabla 'preguntas' */

CREATE TABLE 'preguntas' (
  'id_pregunta' int(10) unsigned NOT NULL auto_increment,
  'id_contenido' int(10) unsigned default NULL,
  'id_prueba' int(10) unsigned default NULL,
  'pregunta' varchar(45) default NULL,
  PRIMARY KEY  ('id_pregunta'),
  KEY 'FK_preguntas_1' ('id_contenido'),
  KEY 'FK_preguntas_2' ('id_prueba'),
  CONSTRAINT 'FK_preguntas_1' FOREIGN KEY ('id_contenido') REFERENCES 'contenido' ('id_contenido'),
  CONSTRAINT 'FK_preguntas_2' FOREIGN KEY ('id_prueba') REFERENCES 'pruebas' ('id_prueba')
);


/* Estructura tabla 'pruebas' */

CREATE TABLE 'pruebas' (
  'id_prueba' int(10) unsigned NOT NULL auto_increment,
  'id_contenido' int(10) unsigned default NULL,
  'id_grupo' int(10) unsigned default NULL,
  'nombre_prueba' varchar(20) default NULL,
  PRIMARY KEY  ('id_prueba'),
  KEY 'FK_pruebas_1' ('id_contenido'),
  KEY 'FK_pruebas_2' ('id_grupo'),
  CONSTRAINT 'FK_pruebas_1' FOREIGN KEY ('id_contenido') REFERENCES 'contenido' ('id_contenido'),
  CONSTRAINT 'FK_pruebas_2' FOREIGN KEY ('id_grupo') REFERENCES 'grupo' ('id_grupo')
);



/* Estructura tabla 'respuestas' */

CREATE TABLE 'respuestas' (
  'id_respuestas' int(10) unsigned NOT NULL auto_increment,
  'id_contenido' int(10) unsigned default NULL,
  'id_prueba' int(10) unsigned default NULL,
  'res_correcta' varchar(45) default NULL,
  'respuesta1' varchar(45) default NULL,
  'respuesta2' varchar(45) default NULL,
  'respuesta3' varchar(45) default NULL,
  PRIMARY KEY  ('id_respuestas'),
  KEY 'FK_respuestas_1' ('id_contenido'),
  KEY 'FK_respuestas_2' ('id_prueba'),
  CONSTRAINT 'FK_respuestas_1' FOREIGN KEY ('id_contenido') REFERENCES 'contenido' ('id_contenido'),
  CONSTRAINT 'FK_respuestas_2' FOREIGN KEY ('id_prueba') REFERENCES 'pruebas' ('id_prueba')
);


